
#include "engine.bas"

function ExeName() as string
  dim l as integer = len(command(0))
  dim i as integer = instrrev(command(0), "\")
  function = mid(command(0), i + 1, l - i - 4)
end function

dim as string FEN(1 to ...) = { _
  "rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR w KQkq - 0 1", _
  "rnbqkbnr/pppppppp/8/8/4P3/8/PPPP1PPP/RNBQKBNR b KQkq e3 0 1", _
  "rnbqkbnr/pp1ppppp/8/2p5/4P3/8/PPPP1PPP/RNBQKBNR w KQkq c6 0 2", _
  "rnbqkbnr/pp1ppppp/8/2p5/4P3/5N2/PPPP1PPP/RNBQKB1R b KQkq - 1 2", _
  "4k3/8/8/8/8/8/4P3/4K3 w - - 5 39", _
  "7K/6q1/7b/8/8/8/8/6k1 w - - 3 41", _
  "3b4/7r/K7/8/k7/8/8/8 w - - 3 26" _
}

dim JSCP as tChessEngine

open ExeName() & ".txt" for output as #1

JSCP.Initialize(FEN(7))
print #1, JSCP.playBoard.Text()
print #1, ""

print #1, JSCP.EngineMove()

close #1
