
#include "engine.bas"
#include "flag.bas"

function ExeName() as string
  dim l as integer = len(command(0))
  dim i as integer = instrrev(command(0), "\")
  function = mid(command(0), i + 1, l - i - 4)
end function

open ExeName() & ".txt" for output as #1

dim JSCP as tChessEngine

JSCP.Initialize()

dim as string move = ""

restore stalemateExample

read move
do while len(move) > 0
  JSCP.UserMove(move)
  read move
loop

print #1, ""
print #1, JSCP.playBoard.Text()
print #1, ""
move = JSCP.EngineMove()
print #1, "game state = ";
select case as const move[5] - 48
  case standardFlag
    rem
  case checkFlag
    rem
  case stalemateFlag
    print #1, "stalemate"
  case checkmateFlag
    rem
end select

close #1

stalemateExample:
data "e2e3", "a7a5", "d1h5", "a8a6", "h5a5", "h7h5", "a5c7", "a6h6", "h2h4", "f7f6"
data "c7d7", "e8f7", "d7b7", "d8d3", "b7b8", "d3h7", "b8c8", "f7g6", "c8e6"
