
#include once "SimpleGadget.bas"

declare function PromotionBox(_
  posx as integer,_
  posy as integer,_
  title as string="Promotion",_
  bktxt as string="N",_
  bbtxt as string="B",_
  brtxt as string="R",_
  bqtxt as string="Q"_
) as integer

'Button Returnwerte
'const as integer cKnight  = 2
'const as integer cBishop  = 3
'const as integer cRook    = 4
'const as integer cQueen   = 5

function PromotionBox(_
  posx as integer,_
  posy as integer,_
  title as string="Promotion",_
  bktxt as string="N",_
  bbtxt as string="B",_
  brtxt as string="R",_
  bqtxt as string="Q"_
) as integer
  function=0
  dim as integer boxw,boxh,result,bw,bh,bs
  dim as EventHandle ptr event
  dim as Gadget ptr knight,bishop,rook,queen
  bw=24
  bh=22
  bs=10
  boxh=bh+2*bs+20
  boxw=4*bw+5*bs
  dim as integer ptr gfxbackup
  gfxbackup=imagecreate(boxw,boxh)
  if gfxbackup then
    get (posx,posy)-(posx+boxw-1,posy+boxh-1),gfxbackup
    FillA(posx,posy,boxw,boxh,GadgetColor,0)
    draw string (posx+5, posy+3),title,TextColor
    FrameB(posx+2,posy+20,boxw-4,boxh-20-2,1)
    event=CreateEventHandle
    knight=AddSimpleGadget(event,posx+boxw-4*bw-4*bs,posy+boxh-bs-bh,bw,bh,bktxt)
    bishop=AddSimpleGadget(event,posx+boxw-3*bw-3*bs,posy+boxh-bs-bh,bw,bh,bbtxt)
    rook=AddSimpleGadget(event,posx+boxw-2*bw-2*bs,posy+boxh-bs-bh,bw,bh,brtxt)
    queen=AddSimpleGadget(event,posx+boxw-bw-bs,posy+boxh-bs-bh,bw,bh,bqtxt)
    GadgetOn(knight,queen)
    do
      event->xSleep(1,0)
      if event->GADGETMESSAGE then
        select case event->GADGETMESSAGE
          case knight
            result=2
            event->EXITEVENT=1
          case bishop
            result=3
            event->EXITEVENT=1
          case rook
            result=4
            event->EXITEVENT=1
          case queen
            result=5
            event->EXITEVENT=1
        end select
      end if
    loop until event->EXITEVENT
    function=result
    DestroyEventHandle(event)
    put (posx,posy),gfxbackup,pset
    imagedestroy gfxbackup
  end if
end function
