
extern "C" lib "rebelbook"
  declare function INITIALIZE(byval as zstring ptr, byval as zstring ptr) as integer
  declare function FIND_OPENING(byval as const zstring ptr, byval as zstring ptr, byval as zstring ptr, byval as zstring ptr, byval as zstring ptr, byval as zstring ptr, byval as zstring ptr, byval as integer ptr) as integer
  declare sub CLOSE_BOOK()
end extern

declare function LoadBook() as integer
declare function BookMove(byval as const zstring ptr) as string
declare sub CloseBook()

function LoadBook() as integer
  function = INITIALIZE(@"tourbook.bin", @"mainbook.bin")
end function

function BookMove(byval s as const zstring ptr) as string
  dim as zstring*200 EPD = *s
  dim as zstring*10 f, t ' from, to
  dim as zstring*20 f1, f2, t1, t2
  dim as integer n ' moves number
  if FIND_OPENING(@EPD, @f, @t, @f1, @f2, @t1, @t2, @n) = 0 then
    function = lcase(f & t)
  else
    function = ""
  end if
end function

sub CloseBook()
  CLOSE_BOOK()
end sub
