
#include "engine.bas"
#include "flag.bas"

function ExeName() as string
  dim l as integer = len(command(0))
  dim i as integer = instrrev(command(0), "\")
  function = mid(command(0), i + 1, l - i - 4)
end function

open ExeName() & ".txt" for output as #1

dim JSCP as tChessEngine
dim s as string
dim i as integer

dim as double startTime, endTime
dim as integer averageTime = 0

JSCP.Initialize()
print #1, JSCP.playBoard.Text()
print #1, ""
i = 0

do
  i += 1
  startTime = timer
  s = JSCP.EngineMove()
  endTime = timer
  print #1, str(i) & ". " & left(s, 4) & " | flag = " & right(s, 1) & " | time = " & str(fix((endTime - startTime) * 1000)) & " ms"
  print #1, ""
  print #1, JSCP.playBoard.Text()
  print #1, ""
  averageTime += fix((endTime - startTime) * 1000)
loop until (s[5] - 48 > checkFlag) or (i = 100)

averageTime \= i
print #1, "average time = " & str(averageTime) & " ms"

close #1
