
type tFileOfString
	as string fileName
	declare sub Initialize(byref as string = "")
	declare sub AddLine(byref as string)
	declare function LastLine() as string
	declare function Found(byref as string) as integer
end type

sub tFileOfString.Initialize(byref aFileName as string = "")
  if len(aFileName) > 0 then fileName = aFileName
	kill(fileName)
end sub

sub tFileOfString.AddLine(byref s as string)
	dim n as integer = freefile
	if open(fileName for append as #n) = 0 then
		print #n, s
		close #n
	end if
end sub

function tFileOfString.LastLine() as string
	dim s as string = ""
  dim n as integer = freefile
	if open(fileName for input as #n) = 0 then
		do until eof(n)
		  line input #n, s
		loop
		close #n
	end if
	function = s
end function

function tFileOfString.Found(byref s as string) as integer
	dim t as string
	dim i as integer = 0
  dim n as integer = freefile
	if open(fileName for input as #n) = 0 then
		do until eof(n)
		  line input #n, t
		  if t = s then i += 1
		loop
		close #n
	end if
	function = i
end function
