
'@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
'
' FreeBASIC library by Roland Chastain
' 256 color names after Wingraph.pas by Stefan Berinde
' http://math.ubbcluj.ro/~sberinde/wingraph/main.html#colornames
'
'@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

#define clAliceBlue              &HF0F8FF
#define clAlizarinCrimson        &HE32636
#define clAmber                  &HFFBF00
#define clAmethyst               &H9966CC
#define clAntiqueWhite           &HFAEBD7
#define clAquamarine             &H7FFFD4
#define clAsparagus              &H7BA05B
#define clAzure                  &HF0FFFF
#define clBeige                  &HF5F5DC
#define clBisque                 &HFFE4C4
#define clBistre                 &H3D2B1F
#define clBitterLemon            &HCAE00D
#define clBlack                  &H000000
#define clBlanchedAlmond         &HFFEBCD
#define clBlazeOrange            &HFF9900
#define clBlue                   &H0000FF
#define clBlueViolet             &H8A2BE2
#define clBondiBlue              &H0095B6
#define clBrass                  &HB5A642
#define clBrightGreen            &H66FF00
#define clBrightTurquoise        &H08E8DE
#define clBrightViolet           &HCD00CD
#define clBronze                 &HCD7F32
#define clBrown                  &HA52A2A
#define clBuff                   &HF0DC82
#define clBurgundy               &H900020
#define clBurlyWood              &HDEB887
#define clBurntOrange            &HCC5500
#define clBurntSienna            &HE97451
#define clBurntUmber             &H8A3324
#define clCadetBlue              &H5F9EA0
#define clCamouflageGreen        &H78866B
#define clCardinal               &HC41E3A
#define clCarmine                &H960018
#define clCarrot                 &HED9121
#define clCasper                 &HADBED1
#define clCeladon                &HACE1AF
#define clCerise                 &HDE3163
#define clCerulean               &H007BA7
#define clCeruleanBlue           &H2A52BE
#define clChartreuse             &H7FFF00
#define clChocolate              &HD2691E
#define clCinnamon               &H7B3F00
#define clCobalt                 &H0047AB
#define clCopper                 &HB87333
#define clCoral                  &HFF7F50
#define clCorn                   &HFBEC5D
#define clCornflowerBlue         &H6495ED
#define clCornsilk               &HFFF8DC
#define clCream                  &HFFFDD0
#define clCrimson                &HDC143C
#define clCyan                   &H00FFFF
#define clDarkBlue               &H00008B
#define clDarkBrown              &H654321
#define clDarkCerulean           &H08457E
#define clDarkChestnut           &H986960
#define clDarkCoral              &HCD5B45
#define clDarkCyan               &H008B8B
#define clDarkGoldenrod          &HB8860B
#define clDarkGray               &H545454
#define clDarkGreen              &H006400
#define clDarkIndigo             &H310062
#define clDarkKhaki              &HBDB76B
#define clDarkMagenta            &H8B008B
#define clDarkOlive              &H556832
#define clDarkOliveGreen         &H556B2F
#define clDarkOrange             &HFF8C00
#define clDarkOrchid             &H9932CC
#define clDarkPastelGreen        &H03C03C
#define clDarkPink               &HE75480
#define clDarkRed                &H8B0000
#define clDarkSalmon             &HE9967A
#define clDarkScarlet            &H560319
#define clDarkSeaGreen           &H8FBC8F
#define clDarkSlateBlue          &H483D8B
#define clDarkSlateGray          &H2F4F4F
#define clDarkSpringGreen        &H177245
#define clDarkTan                &H918151
#define clDarkTangerine          &HFFA812
#define clDarkTeaGreen           &HBADBAD
#define clDarkTerraCotta         &HCC4E5C
#define clDarkTurquoise          &H00CED1
#define clDarkViolet             &H9400D3
#define clDeepPink               &HFF1493
#define clDeepSkyBlue            &H00BFFF
#define clDenim                  &H1560BD
#define clDimGray                &H696969
#define clDodgerBlue             &H1E90FF
#define clEmerald                &H50C878
#define clEggplant               &H990066
#define clFernGreen              &H4F7942
#define clFireBrick              &HB22222
#define clFlax                   &HEEDC82
#define clFloralWhite            &HFFFAF0
#define clForestGreen            &H228B22
#define clFractal                &H808080
#define clFuchsia                &HF400A1
#define clGainsboro              &HDCDCDC
#define clGamboge                &HE49B0F
#define clGhostWhite             &HF8F8FF
#define clGold                   &HFFD700
#define clGoldenrod              &HDAA520
#define clGray                   &H7E7E7E
#define clGrayAsparagus          &H465945
#define clGrayTeaGreen           &HCADABA
#define clGreen                  &H008000
#define clGreenYellow            &HADFF2F
#define clHeliotrope             &HDF73FF
#define clHoneydew               &HF0FFF0
#define clHotPink                &HFF69B4
#define clIndianRed              &HCD5C5C
#define clIndigo                 &H4B0082
#define clInternationalKleinBlue &H002FA7
#define clInternationalOrange    &HFF4F00
#define clIvory                  &HFFFFF0
#define clJade                   &H00A86B
#define clKhaki                  &HF0E68C
#define clLavender               &HE6E6FA
#define clLavenderBlush          &HFFF0F5
#define clLawnGreen              &H7CFC00
#define clLemon                  &HFDE910
#define clLemonChiffon           &HFFFACD
#define clLightBlue              &HADD8E6
#define clLightBrown             &HD2B48C
#define clLightCoral             &HF08080
#define clLightCyan              &HE0FFFF
#define clLightGoldenrodYellow   &HFAFAD2
#define clLightGray              &HA8A8A8
#define clLightGreen             &H90EE90
#define clLightMagenta           &HFF80FF
#define clLightPink              &HFFB6C1
#define clLightRed               &HFF8080
#define clLightSalmon            &HFFA07A
#define clLightSeaGreen          &H20B2AA
#define clLightSkyBlue           &H87CEFA
#define clLightSlateGray         &H778899
#define clLightSteelBlue         &HB0C4DE
#define clLightYellow            &HFFFFE0
#define clLilac                  &HC8A2C8
#define clLime                   &H00FF00
#define clLimeGreen              &H32CD32
#define clLinen                  &HFAF0E6
#define clMagenta                &HFF00FF
#define clMalachite              &H0BDA51
#define clMaroon                 &H800000
#define clMauve                  &HE0B0FF
#define clMediumAquamarine       &H66CDAA
#define clMediumBlue             &H0000CD
#define clMediumOrchid           &HBA55D3
#define clMediumPurple           &H9370DB
#define clMediumSeaGreen         &H3CB371
#define clMediumSlateBlue        &H7B68EE
#define clMediumSpringGreen      &H00FA9A
#define clMediumTurquoise        &H48D1CC
#define clMediumVioletRed        &HC71585
#define clMidnightBlue           &H191970
#define clMintCream              &HF5FFFA
#define clMistyRose              &HFFE4E1
#define clMoccasin               &HFFE4B5
#define clMoneyGreen             &HC0DCC0
#define clMonza                  &HC7031E
#define clMossGreen              &HADDFAD
#define clMountbattenPink        &H997A8D
#define clMustard                &HFFDB58
#define clNavajoWhite            &HFFDEAD
#define clNavy                   &H000080
#define clOchre                  &HCC7722
#define clOldGold                &HCFB53B
#define clOldLace                &HFDF5E6
#define clOlive                  &H808000
#define clOliveDrab              &H6B8E23
#define clOrange                 &HFFA500
#define clOrangeRed              &HFF4500
#define clOrchid                 &HDA70D6
#define clPaleBrown              &H987654
#define clPaleCarmine            &HAF4035
#define clPaleChestnut           &HDDADAF
#define clPaleCornflowerBlue     &HABCDEF
#define clPaleGoldenrod          &HEEE8AA
#define clPaleGreen              &H98FB98
#define clPaleMagenta            &HF984E5
#define clPaleMauve              &H996666
#define clPalePink               &HFADADD
#define clPaleSandyBrown         &HDABDAB
#define clPaleTurquoise          &HAFEEEE
#define clPaleVioletRed          &HDB7093
#define clPapayaWhip             &HFFEFD5
#define clPastelGreen            &H77DD77
#define clPastelPink             &HFFD1DC
#define clPeach                  &HFFE5B4
#define clPeachOrange            &HFFCC99
#define clPeachPuff              &HFFDAB9
#define clPeachYellow            &HFADFAD
#define clPear                   &HD1E231
#define clPeriwinkle             &HCCCCFF
#define clPersianBlue            &H6600FF
#define clPeru                   &HCD853F
#define clPineGreen              &H01796F
#define clPink                   &HFFC0CB
#define clPinkOrange             &HFF9966
#define clPlum                   &HDDA0DD
#define clPowderBlue             &HB0E0E6
#define clPrussianBlue           &H003153
#define clPuce                   &HCC8899
#define clPumpkin                &HFF7518
#define clPurple                 &H800080
#define clRawUmber               &H734A12
#define clRed                    &HFF0000
#define clReef                   &HC9FFA2
#define clRobinEggBlue           &H00CCCC
#define clRosyBrown              &HBC8F8F
#define clRoyalBlue              &H4169E1
#define clRusset                 &H80461B
#define clRust                   &HB7410E
#define clSaddleBrown            &H8B4513
#define clSaffron                &HF4C430
#define clSalmon                 &HFA8072
#define clSandyBrown             &HF4A460
#define clSangria                &H92000A
#define clSapphire               &H082567
#define clScarlet                &HFF2400
#define clSchoolBusYellow        &HFFD800
#define clSeaGreen               &H2E8B57
#define clSeaShell               &HFFF5EE
#define clSelectiveYellow        &HFFBA00
#define clSepia                  &H704214
#define clSienna                 &HA0522D
#define clSilver                 &HC0C0C0
#define clSkyBlue                &H87CEEB
#define clSlateBlue              &H6A5ACD
#define clSlateGray              &H708090
#define clSnow                   &HFFFAFA
#define clSpringGreen            &H00FF7F
#define clSteelBlue              &H4682B4
#define clSwampGreen             &HACB78E
#define clTaupe                  &HBC987E
#define clTangerine              &HFFCC00
#define clTeal                   &H008080
#define clTeaGreen               &HD0F0C0
#define clTenne                  &HCD5700
#define clTerraCotta             &HE2725B
#define clThistle                &HD8BFD8
#define clTomato                 &HFF6347
#define clTurquoise              &H40E0D0
#define clUltramarine            &H120A8F
#define clVermilion              &HFF4D00
#define clViolet                 &HEE82EE
#define clVioletEggplant         &H991199
#define clViridian               &H40826D
#define clWheat                  &HF5DEB3
#define clWhite                  &HFFFFFF
#define clWhiteSmoke             &HF5F5F5
#define clWisteria               &HC9A0DC
#define clYellow                 &HFFFF00
#define clYellowGreen            &H9ACD32
#define clZinnwaldite            &HEBC2AF