declare function AddClickMapGadget (event as EventHandle ptr,x as integer,y as integer,fm as string="") as Gadget ptr 
declare function CMGActions(refgad as Gadget ptr,action as integer) as integer 
declare sub DrawClickMapGadget (gad as Gadget ptr) 

declare function GetClickMapColor (gad as gadget ptr) as integer 

'Steuerungsvariablen 
'Ctrl(15) angeklickte Farbnummer aus der MaskenBMP (ohne Transparenz) 
function AddClickMapGadget (event as EventHandle ptr,x as integer,y as integer,fm as string="") as Gadget ptr 
  function=0 
  dim as Gadget ptr tmpgad 

  dim as integer w,h,ff=freefile 
  open  fm for binary as #ff 
    get #ff, 19, w 
    get #ff, 23, h 
  close #ff 

  tmpgad=new Gadget 
  if tmpgad then 
    tmpgad->event=event 
    tmpgad->nextGadget=0 
     tmpgad->sel=0 
    tmpgad->act=0 
    tmpgad->posx=x 
    tmpgad->posy=y 
    tmpgad->gadw=w 
    tmpgad->gadh=h 

    tmpgad->texto=new TextObject 
    tmpgad->affiliation=1 

    tmpgad->caption="" 
    tmpgad->captionalt="" 

    if fm>"" then 
      tmpgad->Images(1)=imagecreate(w,h) 
      bload fm,tmpgad->Images(1) 
    end if 

    tmpgad->DoDraw     =@DrawClickMapGadget 
    tmpgad->DoAction   =@CMGActions 
    tmpgad->DoUpdate   =@UpdateGadgetDummy'falls Vernderungen am TO ein Update erfordern, im Zeifel einfach den Dummy belassen oder die DoDraw Routine nehmen 

      'SaveBackGround(tmpgad) 
    event->ChainGadget (tmpgad) 

      function=tmpgad 
  end if 
end function 



function CMGActions(refgad as Gadget ptr,action as integer) as integer 
  function=0 

  select case action 

      case GADGET_HIT        'Control grad frisch gedrckt 

      case GADGET_HOLD       'Control wird gehalten, Maus ber dem Control 

      case GADGET_HOLDOFF    'Control wird gehalten, Maus neben dem Control 

      case GADGET_RELEASE    'Control regulr losgelassen 
          refgad->Ctrl(0)=refgad->event->MOUSEX - refgad->posx 
         refgad->Ctrl(1)=refgad->event->MOUSEY - refgad->posy 
          refgad->Ctrl(15)=point(refgad->Ctrl(0),refgad->Ctrl(1),refgad->Images(1)) and &H00FFFFFF'angeklickte Farbe sichern 
        function=1 
      case GADGET_RELEASEOFF 'Control losgelassen, dabei ist Maus neben dem Control 

      case GADGET_KEYBOARD   'Keyboardauswertung 

      case GADGET_KEYBOARDOFF'Abbruch Keyboardauswertung 
  end select 
end function 



sub DrawClickMapGadget (gad as Gadget ptr) 
end sub 



function GetClickMapColor (gad as gadget ptr) as integer 
   function=gad->Ctrl(15) 
end function 